import type { MetabaseFetchRequestTokenFn } from "..";
import type { SdkErrorComponent, SdkState } from "../store/types";
import type { SdkEventHandlersConfig } from "../types/events";
import type { SdkUsageProblem } from "../types/usage-problem";
import type { MetabasePluginsConfig } from "../../../../../frontend/src/metabase/embedding-sdk/types/plugins";
export declare const setMetabaseClientUrl: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, string>;
export declare const setLoaderComponent: import("@reduxjs/toolkit").ActionCreatorWithPayload<(() => JSX.Element) | null, string>;
export declare const setErrorComponent: import("@reduxjs/toolkit").ActionCreatorWithPayload<SdkErrorComponent | null, string>;
export declare const setFetchRefreshTokenFn: import("@reduxjs/toolkit").ActionCreatorWithPayload<MetabaseFetchRequestTokenFn | null, string>;
export declare const getOrRefreshSession: import("@reduxjs/toolkit").AsyncThunk<import("..").MetabaseEmbeddingSessionToken | null, string, {
    state: import("../../../../../frontend/src/metabase-types/store").State;
    dispatch?: import("@reduxjs/toolkit").ThunkDispatch<unknown, unknown, import("@reduxjs/toolkit").UnknownAction> | undefined;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
export declare const setPlugins: import("@reduxjs/toolkit").ActionCreatorWithPayload<MetabasePluginsConfig | null, string>;
export declare const setEventHandlers: import("@reduxjs/toolkit").ActionCreatorWithPayload<SdkEventHandlersConfig | null, string>;
export declare const setUsageProblem: import("@reduxjs/toolkit").ActionCreatorWithPayload<SdkUsageProblem | null, string>;
export declare const sdk: import("@reduxjs/toolkit").Reducer<SdkState> & {
    getInitialState: () => SdkState;
};
